=== debian/changelog ===
lxd (0.1-0ubuntu1) vivid; urgency=medium

  * Initial upstream release.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 13 Feb 2015 16:32:33 -0500
