## lxd 0.4

=== debian/changelog ===
lxd (1:0.4) cosmic; urgency=medium

  * Remove rc.d symlinks (LP: #1797175)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 10 Oct 2018 12:28:15 -0400

lxd (1:0.3) cosmic; urgency=medium

  * Install the snap on package installation too, not just upgrades
  * Make snapd a Pre-Depends for the case where snapd isn't installed

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Sep 2018 14:28:29 -0400

lxd (1:0.2) cosmic; urgency=medium

  * Make it possible to abort the upgrade when run interactively
  * Introduce transitional packages to make proposed-migration happy

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Sep 2018 10:26:17 -0400

lxd (1:0.1) cosmic; urgency=medium

  * Switch over to the snap (LP: #1788040)
    - Empty the source package
    - Bump epoch to 1
    - Switch package to native
    - Drop lxd-client and lxd-tools packages
  * When installing/upgrading to this package, a preinst script will
    install the LXD snap and transition all data over to it.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 12 Sep 2018 17:39:23 -0400

lxd (3.0.2-0ubuntu3) cosmic; urgency=medium

  * Add missing test dependency (socat)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 22 Aug 2018 01:50:48 -0400

lxd (3.0.2-0ubuntu2) cosmic; urgency=medium

  * Disable static analysis tests in autopkgtest

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 22 Aug 2018 00:16:47 -0400

lxd (3.0.2-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release (LP: #1788280):
    - container: containerCreateAsCopy() update pool
    - forkmount: ignore ENOENT and EINVAL on umount2()
    - nsexec: simplify attach_userns()
    - Fall back to alternate way of detecting minor version of NVIDIA driver
    - lxd/maas: Make error more readable
    - lxd-p2c: Send rsync output to stderr
    - lxd/migration: Don't pass -vP to a hidden rsync
    - lxc: Properly handle --target in copy and move
    - memory: fix format string
    - lxc/move: Support config and profile overrides
    - i18n: Update translation templates
    - exec: fix format string
    - images: fix format string
    - migrate: remove debug residuals
    - lvm: fix format string
    - db: fix format string
    - nsexec: prevent fd leak
    - Fix the storage_pool_id filter for the WHERE clause of StoragePoolsConfig
    - Fix lints
    - Extract cmdInit.ApplyConfig into a separate initApplyConfig function
    - Split initApplyConfig into initDataNodeApply and initDataClusterApply
    - Fix broken alternate TLS server cert in integration tests
    - lxd/containers: Don't update MAAS for snapshots
    - lxd/maas: Allow starting with MAAS offline
    - Enable tcp KeepAlive
    - lxd/cluster: Improve error on bad target
    - reader: Handle EINTR
    - allow uidmaps to be parsed from alternate roots
    - lxd/storage/zfs: Improve defaults
    - test: Fix static analysis
    - Allow identity mappings for unprivileged containers
    - container: adapt allowedUnprivilegedOnlyMap()
    - shared: Dereference directory symlinks
    - lxd,shared: Move parseNumberFromFile to shared
    - lxc/network: Add --format option to list
    - lxd/db: Don't hang after bad request
    - lxd/apparmor: Allow ro bind-mounts and remounts
    - idmap: support skipping directories
    - lxd: Properly set containerArgs in all cases
    - lxd/storage: Fix PATCH on storage pools
    - container: use lxcSetConfigItem() for lxc.log.file
    - lxc/cluster: Remove bad alias
    - lxd/storage: Fix volume creation API
    - tests: Add alternative TCP port finder
    - doc: Document hostname requirements
    - networks: Support stateful DHCPv6 with prefixes longer than /64
    - lxd/networks: Skip DHCP mangle if firewall off
    - network: do not print writer struct on error
    - lxd/patches: Force a one-time config re-gen
    - storage pools: move structs
    - storage volumes: move structs
    - images: move structs
    - client: Export OperationWait
    - lxd/cluster: Only restart local containers
    - images: consistently name command structs
    - cluster: move structs
    - api 1.0: move struct
    - api internal: move structs
    - certificates: move structs
    - events: move structs
    - operations: move structs
    - profiles: move structs
    - resources: move structs
    - container logs: move structs
    - container post: move structs
    - lxd/storage/btrfs: Fix recursive snapshots
    - lxd/cluster: Fix attaching CEPH custom volumes
    - lxd/storage: Fix double quoting
    - Reduce the frequency of raft snapshots
    - lxd/storage/ceph: Don't keep snapshots mounted
    - util linux: add abstract unix socket helpers
    - proxy: Rework to match master
    - lxd: Cleanup logging
    - lxd: Improve error messages
    - proxy: Properly handle relay errors
    - lxd/certificates: Log password failures
    - proxy: handle full socket buffer
    - gpu: special case passing all GPUs
    - gpu: don't fail during parse
    - gpu: handle cards among Nvidia devices
    - gpu: fix Nvidia minor index parsing
    - lxd/containers: Fix removing NVIDIA containers
    - doc: Add links to REST API
    - doc: Fix storage volume examples
    - lxd/operations: Forward to right cluster node
    - lxc/{copy,move}: Allow overriding device config
    - i18n: Update translations
    - tests: Perform a lazy umount in case of errors
    - lxd/networks: Improve dnsmasq leases cleanup
    - migration: fix cross version migrations
    - doc: Note that default profile cannot be deleted/renamed
    - lxc/profile: Fix "get" command
    - lxd: Prevent renaming/deletion of the default profile
    - test: Test default profile renaming/deletion
    - Fix "neighbour: ndisc_cache: neighbor table overflow"
    - lxd: Fix StoragePoolVolumesGetNames
    - lxd/apparmor: Fix typo in nesting profile
    - lxd/patches: Make config re-gen fault tollerant
    - fix links in api-extension
    - lxd/db: Fix handling of NetworkConfigClear
    - lxd/networks: Fix PATCH operations

