## lxd 0.4.2

=== debian/changelog ===
lxd (1:0.4.2) cosmic; urgency=medium

  [ Balint Reczey ]
  * Fix error message on missing snap. (LP: #1821924)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Apr 2019 10:37:34 -0400

lxd (1:0.4.1) cosmic; urgency=medium

  [ Balint Reczey ]
  * Allow skipping snap installation when LXD was never used
    (LP: #1821924)

  [ Stéphane Graber ]
  * Tweak debconf messages a bit.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 05 Apr 2019 12:28:54 -0400
