## lxd 0.5

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,30 @@
-.PHONY: default
-default:
-	go install -v ./...
-
-.PHONY: check
-check: default
-	cd test && ./main.sh
+DOMAIN=lxd
+POFILES=$(wildcard po/*.po)
+MOFILES=$(patsubst %.po,%.mo,$(POFILES))
+LINGUAS=$(basename $(POFILES))
+POTFILE=po/$(DOMAIN).pot
 
 # dist is primarily for use when packaging; for development we still manage
 # dependencies via `go get` explicitly.
 # TODO: use git describe for versioning
 VERSION=$(shell grep "var Version" shared/flex.go | sed -r -e 's/.*"([0-9\.]*)"/\1/')
 ARCHIVE=lxd-$(VERSION).tar
+
+.PHONY: default
+default:
+	go install -v ./...
+
+# This only needs to be done when migrate.proto is actually changed; since we
+# commit the .pb.go in the tree and it's not expected to change very often,
+# it's not a default build step.
+.PHONY: protobuf
+protobuf:
+	protoc --go_out=. ./lxd/migration/migrate.proto
+
+.PHONY: check
+check: default
+	go test ./...
+	cd test && ./main.sh
 
 .PHONY: dist
 dist:
@@ -24,6 +38,21 @@
 	gzip -9 $(ARCHIVE)
 	rm -Rf dist lxd-$(VERSION) $(ARCHIVE)
 
-.PHONY: i18n
-i18n:
-	xgettext -d lxd -s client.go lxc/*.go -o po/lxd.pot -L c++ -i --keyword=Gettext
+.PHONY: i18n update-po update-pot build-mo
+i18n: update-pot
+
+po/%.mo: po/%.po
+	msgfmt --statistics -o $@ $<
+
+po/%.po: po/$(DOMAIN).pot
+	msgmerge -U po/$*.po po/$(DOMAIN).pot
+
+update-po:
+	-for lang in $(LINGUAS); do\
+	    msgmerge -U $$lang.po po/$(DOMAIN).pot; \
+	done
+
+update-pot:
+	xgettext -d $(DOMAIN) -s client.go lxc/*.go -o po/$(DOMAIN).pot -L vala -i --keyword=Gettext
+
+build-mo: $(MOFILES)
