=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
 Vcs-Browser: https://github.com/lxc/lxd-pkg-ubuntu
 Build-Depends: debhelper (>= 9),
                dh-systemd,
-               golang-go (>= 1.3~),
+               golang-go,
                help2man,
                lxc-dev (>= 1.1.0~),
-               pkg-config
+               pkg-config,
+               protobuf-compiler
 
 Package: lxd-client
-Architecture: amd64 i386 armhf
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: lxd
 Description: Container hypervisor based on LXC - client
@@ -24,9 +25,18 @@
  This package contains the command line client.
 
 Package: lxd
-Architecture: amd64 i386 armhf
-Depends: lxc, ${misc:Depends}, ${shlibs:Depends}
+Architecture: any
+Depends: acl,
+         adduser,
+         gnupg,
+         lxc,
+         python3,
+         rsync,
+         xz-utils,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: lxd-client
+Suggests: criu
 Description: Container hypervisor based on LXC - daemon
  LXD offers a REST API to remotely manage containers over the network,
  using an image based workflow and with support for live migration.
