## lxd 0.6

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGDIR=debian/tmp
VERSION=$(shell grep "var Version" $(CURDIR)/shared/flex.go | sed -r -e 's/.*"([0-9\.]*)"/\1/')

export GOPATH := $(CURDIR)/dist/
export PATH := $(PATH):$(GOPATH)/bin/

%:
	dh $@

override_dh_auto_build: ;

override_dh_install:
	go install -v -x github.com/lxc/lxd/lxc
	go install -v -x github.com/lxc/lxd/lxd
	mkdir -p $(PKGDIR)/usr/bin $(PKGDIR)/usr/share/
	cp $(GOPATH)/bin/* $(PKGDIR)/usr/bin/
	cp scripts/lxd-images $(PKGDIR)/usr/bin/

	mkdir -p $(PKGDIR)/usr/share/man/man1/
	help2man $(PKGDIR)/usr/bin/lxd -n "The container hypervisor - daemon" --no-info > $(PKGDIR)/usr/share/man/man1/lxd.1
	help2man $(PKGDIR)/usr/bin/lxd-images -n "The container hypervisor - image importer" --version-string=$(VERSION) --no-info > $(PKGDIR)/usr/share/man/man1/lxd-images.1
	help2man $(PKGDIR)/usr/bin/lxc -n "The container hypervisor - client" --no-info > $(PKGDIR)/usr/share/man/man1/lxc.1

	dh_install

override_dh_auto_test:
	# cd test && ./main.sh
