## lxd 0.7

=== debian/changelog ===
lxd (1:0.7) disco; urgency=medium

  [ Balint Reczey ]
  * Fix error message on missing snap. (LP: #1821924)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Apr 2019 10:35:29 -0400

lxd (1:0.6) disco; urgency=medium

  * Tweak debconf messages a bit.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 05 Apr 2019 18:02:01 -0400

lxd (1:0.5) disco; urgency=medium

  [ Balint Reczey ]
  * Allow skipping snap installation when LXD was never used
    (LP: #1821924)

  [ Stéphane Graber ]
  * Bump fallback Ubuntu release to 19.04

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 05 Apr 2019 12:09:25 -0400
