## lxd 0.8

=== debian/changelog ===
lxd (1:0.8) focal; urgency=medium

  * Update for the LXD 4.0 track.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 24 Mar 2020 13:44:45 -0400
