=== debian/control ===
Source: lxd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 4.2.1
Homepage: https://linuxcontainers.org/
Vcs-Git: https://github.com/lxc/lxd-pkg-ubuntu
Vcs-Browser: https://github.com/lxc/lxd-pkg-ubuntu
Build-Depends: debhelper (>= 11)

Package: lxd
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: debconf, snapd
Breaks: lxd-client (<< 1:0.0~), lxd-tools (<< 1:0.0~)
Replaces: lxd-client (<< 1:0.0~), lxd-tools (<< 1:0.0~)
Section: oldlibs
Description: Transitional package - lxd -> snap (lxd)
 This is a transitional dummy package. It can safely be removed.
 .
 lxd is now replaced by the LXD snap.

Package: lxd-client
Architecture: all
Depends: lxd (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: Transitional package - lxd-client -> LXD snap
 This is a transitional dummy package. It can safely be removed.
 .
 lxd-client is now replaced by the LXD snap.

Package: lxd-tools
Architecture: all
Depends: lxd (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: Transitional package - lxc-tools -> LXD snap
 This is a transitional dummy package. It can safely be removed.
 .
 lxd-tools is no longer available in the Ubuntu archive.
