=== debian/rules ===
--- 
+++ 
@@ -29,5 +29,9 @@
 
 	dh_install
 
+override_dh_installinit:
+	dh_installinit
+	dh_systemd_enable -plxd --name=lxd
+
 override_dh_auto_test:
 	# cd test && ./main.sh
