## lxd 0.14

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 .PHONY: default
 default:
+	go get -v -d ./...
 	go install -v ./...
 
 # This only needs to be done when migrate.proto is actually changed; since we
@@ -25,6 +26,9 @@
 check: default
 	go test ./...
 	cd test && ./main.sh
+
+gccgo:
+	go build -compiler gccgo ./...
 
 .PHONY: dist
 dist:
