## lxd 0.15

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,11 @@
 default:
 	go get -v -d ./...
 	go install -v ./...
+
+.PHONY: client
+client:
+	go get -v -d ./...
+	go install -v ./lxc
 
 # This only needs to be done when migrate.proto is actually changed; since we
 # commit the .pb.go in the tree and it's not expected to change very often,
