## lxd 0.17

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,17 @@
 
 .PHONY: default
 default:
-	go get -t -v -d ./... || true
+	-go get -t -v -d ./...
+	-go get -t -v -d ./...
 	go install -v ./...
+	@echo "LXD built succesfuly"
 
 .PHONY: client
 client:
-	go get -t -v -d ./...
+	-go get -t -v -d ./...
+	-go get -t -v -d ./...
 	go install -v ./lxc
+	@echo "LXD client built succesfuly"
 
 # This only needs to be done when migrate.proto is actually changed; since we
 # commit the .pb.go in the tree and it's not expected to change very often,
@@ -34,12 +38,14 @@
 
 gccgo:
 	go build -compiler gccgo ./...
+	@echo "LXD built succesfuly with gccgo"
 
 .PHONY: dist
 dist:
 	rm -Rf lxd-$(VERSION) $(ARCHIVE) $(ARCHIVE).gz
 	mkdir -p lxd-$(VERSION)/dist
-	GOPATH=$(shell pwd)/lxd-$(VERSION)/dist go get -d -v ./...
+	-GOPATH=$(shell pwd)/lxd-$(VERSION)/dist go get -t -v -d ./...
+	GOPATH=$(shell pwd)/lxd-$(VERSION)/dist go get -t -v -d ./...
 	rm -rf $(shell pwd)/lxd-$(VERSION)/dist/src/github.com/lxc/lxd
 	ln -s ../../../.. ./lxd-$(VERSION)/dist/src/github.com/lxc/lxd
 	git archive --prefix=lxd-$(VERSION)/ --output=$(ARCHIVE) HEAD
@@ -68,3 +74,6 @@
 
 static-analysis:
 	/bin/bash -x -c ". test/static_analysis.sh; static_analysis"
+
+tags:
+	find . | grep \.go | grep -v git | grep -v .swp | grep -v vagrant | xargs gotags > tags
