=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Vcs-Browser: https://github.com/lxc/lxd-pkg-ubuntu
 Build-Depends: debhelper (>= 9),
                dh-systemd,
+               gccgo [powerpc ppc64el],
                golang-go [i386 amd64 armhf arm64],
-               gccgo [powerpc ppc64el],
                help2man,
                lxc-dev (>= 1.1.0~),
                pkg-config,
@@ -38,9 +38,19 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: lxd-client
-Suggests: criu
+Suggests: criu, lxd-tools
 Description: Container hypervisor based on LXC - daemon
  LXD offers a REST API to remotely manage containers over the network,
  using an image based workflow and with support for live migration.
  .
  This package contains the LXD daemon.
+
+Package: lxd-tools
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Container hypervisor based on LXC - extra tools
+ LXD offers a REST API to remotely manage containers over the network,
+ using an image based workflow and with support for live migration.
+ .
+ This package contains extra tools provided with LXD.
+  - fuidshift - A tool to map/unmap filesystem uids/gids
