## lxd 0.19

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                lxc-dev (>= 1.1.0~),
                pkg-config,
                protobuf-compiler
+XS-Testsuite: autopkgtest
 
 Package: lxd-client
 Architecture: any
