## lxd 0.20

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 .PHONY: check
 check: default
-	go test ./...
+	go test -v ./...
 	cd test && ./main.sh
 
 gccgo:
