=== debian/rules ===
--- 
+++ 
@@ -16,22 +16,31 @@
 override_dh_auto_build: ;
 
 override_dh_install:
+	# Build everything
 	go install -v -x github.com/lxc/lxd/fuidshift
 	go install -v -x github.com/lxc/lxd/lxc
 	go install -v -x github.com/lxc/lxd/lxd
 	go install -v -x github.com/lxc/lxd/lxd-bridge/lxd-bridge-proxy
 
+	# Install the various binaries
 	mkdir -p $(PKGDIR)/usr/bin $(PKGDIR)/usr/share/ $(PKGDIR)/usr/lib/lxd
 	cp $(GOPATH)/bin/* $(PKGDIR)/usr/bin/
 	cp scripts/lxd-images $(PKGDIR)/usr/bin/
 	cp lxd-bridge/lxd-bridge $(PKGDIR)/usr/lib/lxd/
 
+	# Install the manpages
 	mkdir -p $(PKGDIR)/usr/share/man/man1/
 	help2man $(PKGDIR)/usr/bin/fuidshift -n "uid/gid shifter" --no-info > $(PKGDIR)/usr/share/man/man1/fuidshift.1
 	help2man $(PKGDIR)/usr/bin/lxc -n "The container hypervisor - client" --no-info > $(PKGDIR)/usr/share/man/man1/lxc.1
 	help2man $(PKGDIR)/usr/bin/lxd -n "The container hypervisor - daemon" --no-info > $(PKGDIR)/usr/share/man/man1/lxd.1
 	help2man $(PKGDIR)/usr/bin/lxd-images -n "The container hypervisor - image importer" --version-string=$(VERSION) --no-info > $(PKGDIR)/usr/share/man/man1/lxd-images.1
 
+	# Install cron job
+	mkdir -p ${PKGDIR}/etc/cron.hourly/
+	cp debian/lxd.cron ${PKGDIR}/etc/cron.hourly/
+	chmod 755 ${PKGDIR}/etc/cron.hourly/
+
+	# Trigger normal dh_install
 	dh_install
 
 override_dh_installinit:
