=== debian/tests/control ===
Tests: exercise
Depends: acl,
         busybox-static,
         curl,
         gccgo [powerpc ppc64el],
         golang-go [i386 amd64 armhf arm64],
         jq,
         git,
         gettext,
         make,
         sqlite3,
         uuid-runtime,
         @
Restrictions: needs-root allow-stderr
