## lxd 0.21

=== debian/changelog ===
lxd (0.21-0ubuntu3~ubuntu14.04.1) trusty-backports; urgency=medium

  * Backport to trusty (LP: #1508720)
  * Arch-restrict all binaries to i386 amd64 armhf.
    The other architectures require a recent gccgo5 and golang 1.5 to build.
  * Add a versioned build-dependency on trusty-backports' golang.
  * Add a versioned depends for lxd on trusty-backports' lxc.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 01 Nov 2015 11:35:14 -0500
