=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,9 @@
          git,
          gettext,
          make,
+         pep8,
+         pyflakes,
+         shellcheck,
          sqlite3,
          uuid-runtime,
          @
