## lxd 0.22

=== debian/changelog ===
lxd (0.22-0ubuntu2~ubuntu14.04.1) trusty-backports; urgency=medium

  * Backport to trusty (LP: #1515693, LP: #1515689)
  * Arch-restrict all binaries to i386 amd64 armhf.
    The other architectures require a recent gccgo5 and golang 1.5 to build.
  * Add a versioned build-dependency on trusty-backports' golang.
  * Add a versioned depends for lxd on trusty-backports' lxc.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Nov 2015 11:41:29 -0500
