=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Vcs-Git: git://github.com/lxc/lxd-pkg-ubuntu
 Vcs-Browser: https://github.com/lxc/lxd-pkg-ubuntu
 Build-Depends: debhelper (>= 9),
+               dh-golang,
                dh-systemd,
                gccgo [powerpc ppc64el],
-               golang-go [i386 amd64 armhf arm64],
+               golang-go (>= 2:1.3.3-1ubuntu4~) [i386 amd64 armhf arm64],
                help2man,
                lxc-dev (>= 1.1.0~),
                pkg-config,
@@ -17,8 +18,9 @@
 XS-Testsuite: autopkgtest
 
 Package: lxd-client
-Architecture: any
+Architecture: i386 amd64 armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Suggests: lxd
 Description: Container hypervisor based on LXC - client
  LXD offers a REST API to remotely manage containers over the network,
@@ -27,17 +29,18 @@
  This package contains the command line client.
 
 Package: lxd
-Architecture: any
+Architecture: i386 amd64 armhf
 Depends: acl,
          adduser,
          gnupg,
-         lxc,
+         lxc (>= 1.1.4-0ubuntu1.1~),
          netcat-openbsd,
          python3,
          rsync,
          xz-utils,
          ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Recommends: lxd-client
 Suggests: criu, lxd-tools
 Description: Container hypervisor based on LXC - daemon
@@ -47,8 +50,9 @@
  This package contains the LXD daemon.
 
 Package: lxd-tools
-Architecture: any
+Architecture: i386 amd64 armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Container hypervisor based on LXC - extra tools
  LXD offers a REST API to remotely manage containers over the network,
  using an image based workflow and with support for live migration.
