## lxd 0.26

=== debian/changelog ===
lxd (0.26-0ubuntu2~ubuntu14.04.1) trusty-backports; urgency=medium

  * Backport to trusty (LP: #1528395)
  * Arch-restrict all binaries to i386 amd64 armhf.
    The other architectures require a recent gccgo5 and golang 1.5 to build.
  * Add a versioned build-dependency on trusty-backports' golang.
  * Add a versioned depends for lxd on trusty-backports' lxc.
  * Turn bundled dependencies back on.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Jan 2016 11:48:27 -0500
