=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-golang,
                dh-systemd,
                gccgo [powerpc ppc64el],
-               golang-go (>= 2:1.3.3-1ubuntu4~) [i386 amd64 armhf arm64],
+               golang-go (>= 2:1.3.3-1ubuntu4~) [i386 amd64 armhf],
                help2man,
                lxc-dev (>= 1.1.0~),
                pkg-config,
@@ -59,3 +59,12 @@
  .
  This package contains extra tools provided with LXD.
   - fuidshift - A tool to map/unmap filesystem uids/gids
+
+Package: golang-github-lxc-lxd-dev
+Architecture: all
+Depends: golang-go, lxc-dev, pkg-config, ${misc:Depends}, ${shlibs:Depends}
+Description: Container hypervisor based on LXC - go source
+ LXD offers a REST API to remotely manage containers over the network,
+ using an image based workflow and with support for live migration.
+ .
+ This package contains the source tree of the lxd project.
